2019-12-07 11:56 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001521FSSCPgameplaypublic2008-02-22 02:43
ReporterARSPR 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDELL Dimension 9200OSWindows VistaOS VersionUltimate 32-bit
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001521: ai-xxxxxxx SEXPs are not applied while flying non-cinematic autopilot runs
DescriptionThe best way to describe this issue is with an example:

+ Grab the attached mission.
+ Alt-N > Alt-A. Your wingman Alpha 2 travels with you.
+ The mission has a distance check to the Nav associated waypoint so when you are nearer than a certain distance, (1500), it shows the training message and gives Alpha 2 an "ai-guard Alpha 1" order.
+ You can check how Alpha 2 doesn't have any assigned order when the autopilot run ends.

With "official" 3.6.9. build, (old autopilot code), Alpha 2 received the order OK. So this seems an issue which has been introduced with the new autopilot code.
Additional Information+ Using cinematic autopilot, the mission runs fine.

+ As a side note, this mission works fine if you set the distance trigger at 998. 999, or greater, causes the bug. So it seems that the autopilot run leaves you at about 998.5 from the selected waypoint. ;)

+ At least, I've confirmed this issue with ai-guard and ai-stay-near-ship commands.

(It's a minor issue because you can avoid it with proper mission design or just using a cinematic autopilot. But nevertheless it's a bug because older builds didn't suffer it).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008639

taylor (administrator)

Looks like the goal reset when autopilot is done was just way too overzealous. I commented out one block, that only runs when not using the cinematic, and it seems to work now. The commented out block goes a bit overboard, since the the block immediately above it should do the job just fine.

I'll test a bit more, and make sure that nothing strange got broken with this. It will be in the next build I send you too, so you can double-check that it's working for you now or not.

~0008643

ARSPR (reporter)

I suppose "the next build I send you" isn't 1114 because with this one the bug is still here.

~0008646

taylor (administrator)

Bah! You screwed me up by providing a test mission that actually works! ;)

For some reason I just didn't register the fact that the test mission uses the cinematic, which doesn't exhibit the problem. I changed it to a non-cinematic version and will have to go through and fix the problem again (for the first time).

~0008647

taylor (administrator)

Ok, NOW it's fixed. :)

~0008648

ARSPR (reporter)

Ooops, sorry ;)

As I was testing with and without cinematics, in the end I messed up the mission...

~0008651

ARSPR (reporter)

It's fixed.in Xt1115

I've even tested with play dead or warp out and they are applied when the autopilot run ends which is fine, (you don't lose ships while travelling).

~0008894

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-11-14 15:58 ARSPR New Issue
2007-11-14 15:58 ARSPR File Added: AiSEXPwhileAutopilot.fs2
2007-11-14 21:53 taylor Note Added: 0008639
2007-11-14 21:53 taylor Status new => assigned
2007-11-14 21:53 taylor Assigned To => taylor
2007-11-15 14:57 ARSPR Note Added: 0008643
2007-11-15 16:29 taylor Note Added: 0008646
2007-11-15 16:56 taylor Note Added: 0008647
2007-11-15 17:30 ARSPR Note Added: 0008648
2007-11-16 06:46 ARSPR Note Added: 0008651
2008-02-22 02:43 taylor Status assigned => resolved
2008-02-22 02:43 taylor Fixed in Version => 3.6.10
2008-02-22 02:43 taylor Resolution open => fixed
2008-02-22 02:43 taylor Note Added: 0008894
+Issue History